Loading...
Searching...
No Matches
misc.c File Reference
`#include <grass/datetime.h>`
Include dependency graph for misc.c:

Go to the source code of this file.

## Functions

int | datetime_is_leap_year (int year, int ad)
int | datetime_days_in_year (int year, int ad)
| returns the number of days in 'year'
int | datetime_days_in_month (int year, int month, int ad)
| returns number of days in 'month' of a particular 'year'

## Function Documentation

## datetime_days_in_month()

int datetime_days_in_month | ( | int | year,
|  | int | month,
|  | int | ad )

returns number of days in 'month' of a particular 'year'

Parameters

  month |
  year |
  ad |

Returns
  int

Definition at line 58 of file misc.c.

References datetime_error(), and datetime_is_leap_year().

Referenced by datetime_check_day().

## datetime_days_in_year()

int datetime_days_in_year | ( | int | year,
|  | int | ad )

returns the number of days in 'year'

Parameters

  year |
  ad |

Returns
  int

Definition at line 37 of file misc.c.

References datetime_error(), and datetime_is_leap_year().

Referenced by datetime_change_from_to().

## datetime_is_leap_year()

int datetime_is_leap_year | ( | int | year,
|  | int | ad )

Parameters

  year |
  ad |

Returns
  int

Definition at line 16 of file misc.c.

References datetime_error().

Referenced by datetime_days_in_month(), and datetime_days_in_year().